sailpoint.tools.xml

## Enum SerializationMode

- java.lang.Object
- - java.lang.Enum<SerializationMode>
  - - sailpoint.tools.xml.SerializationMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SerializationMode>

    public enum SerializationMode
    extends java.lang.Enum<SerializationMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ATTRIBUTE`
`CANONICAL`
`ELEMENT`
`INLINE`
`INLINE_LIST_INLINE`
`INLINE_LIST_UNQUALIFIED`
`LIST`
`PCDATA`
`REFERENCE`
`REFERENCE_LIST`
`REFERENCE_SET`
`SET`
`UNQUALIFIED`
`UNQUALIFIED_XML`
`UNSPECIFIED`

### Method Summary

All Methods Static Methods Concrete Methods
`static SerializationMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerializationMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNSPECIFIED

    public static final SerializationMode UNSPECIFIED

#### CANONICAL

    public static final SerializationMode CANONICAL

#### ATTRIBUTE

    public static final SerializationMode ATTRIBUTE

#### ELEMENT

    public static final SerializationMode ELEMENT

#### PCDATA

    public static final SerializationMode PCDATA

#### INLINE

    public static final SerializationMode INLINE

#### UNQUALIFIED

    public static final SerializationMode UNQUALIFIED

#### REFERENCE

    public static final SerializationMode REFERENCE

#### LIST

    public static final SerializationMode LIST

#### SET

    public static final SerializationMode SET

#### REFERENCE_LIST

    public static final SerializationMode REFERENCE_LIST

#### REFERENCE_SET

    public static final SerializationMode REFERENCE_SET

#### INLINE_LIST_INLINE

    public static final SerializationMode INLINE_LIST_INLINE

#### INLINE_LIST_UNQUALIFIED

    public static final SerializationMode INLINE_LIST_UNQUALIFIED

#### UNQUALIFIED_XML

    public static final SerializationMode UNQUALIFIED_XML

### Method Detail

#### values

    public static SerializationMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SerializationMode c : SerializationMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SerializationMode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null